Hermos API

Create Licence Key Pool

Register an Ed25519 issuer pool for a product in the current company and mode.

POST/licence_key_pools

Register an Ed25519 issuer pool for a product in the current company and mode.

Authorization

__Host-hms_session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/licence_key_pools" \  -H "Content-Type: application/json" \  -d '{    "product": "e0588024-d851-42d5-ab9f-1b664ef352d4",    "pool_id": "string",    "kid": "string",    "public_key": {      "kty": "OKP",      "crv": "Ed25519",      "x": "string"    }  }'
{  "id": "string",  "object": "licence_key_pool",  "livemode": true,  "product": "e0588024-d851-42d5-ab9f-1b664ef352d4",  "pool_id": "string",  "kid": "string",  "status": "active",  "low_stock_threshold": 0,  "status_counts": {    "available": 0,    "allocated": 0,    "expiring_soon": 0,    "expired": 0  },  "low_stock": true,  "created_at": "2019-08-24T14:15:22Z"}